Get Workflow
GET
/
workflows
Get Workflow
curl --request GET \
--url https://services.leadconnectorhq.com/workflows \
--header 'Authorization: Bearer <token>' \
--header 'Version: <version>'const options = {
method: 'GET',
headers: {Version: '<version>', Authorization: 'Bearer <token>'}
};
fetch('https://services.leadconnectorhq.com/workflows', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://services.leadconnectorhq.com/workflows"
headers = {
"Version": "<version>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text){
"workflows": [
{
"id": "78559bb3-b920-461e-b010-7b2a2816d2a9",
"name": "First Workflow",
"status": "draft",
"version": 2,
"createdAt": "2021-05-26T11:33:49.000Z",
"updatedAt": "2021-05-26T11:33:49.000Z",
"locationId": "eBG6WapS3v4ZqwA45MTxtYJ"
}
]
}{
"statusCode": 400,
"message": "Bad Request"
}{
"statusCode": 401,
"message": "Invalid token: access token is invalid",
"error": "Unauthorized"
}{
"statusCode": 422,
"message": [
"Unprocessable Entity"
],
"error": "Unprocessable Entity"
}Authorizations
Use the Access Token generated with user type as Sub-Account (OR) Private Integration Token of Sub-Account.
Headers
API Version
Available options:
2021-07-28 Query Parameters
Response
Successful response
Show child attributes
Show child attributes
Last modified on March 8, 2026
Was this page helpful?
Get Workflow
curl --request GET \
--url https://services.leadconnectorhq.com/workflows \
--header 'Authorization: Bearer <token>' \
--header 'Version: <version>'const options = {
method: 'GET',
headers: {Version: '<version>', Authorization: 'Bearer <token>'}
};
fetch('https://services.leadconnectorhq.com/workflows', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://services.leadconnectorhq.com/workflows"
headers = {
"Version": "<version>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text){
"workflows": [
{
"id": "78559bb3-b920-461e-b010-7b2a2816d2a9",
"name": "First Workflow",
"status": "draft",
"version": 2,
"createdAt": "2021-05-26T11:33:49.000Z",
"updatedAt": "2021-05-26T11:33:49.000Z",
"locationId": "eBG6WapS3v4ZqwA45MTxtYJ"
}
]
}{
"statusCode": 400,
"message": "Bad Request"
}{
"statusCode": 401,
"message": "Invalid token: access token is invalid",
"error": "Unauthorized"
}{
"statusCode": 422,
"message": [
"Unprocessable Entity"
],
"error": "Unprocessable Entity"
}